/*
 * This program will 
 * tell the user if an inflated tire is underinflated, 
 * over inflated or properly inflated

Algo:
Step 1: Ask user to enter tire pressure
Step 2: Compare the entered pressure to predefined values
    - Proper inflation is: 25 - 32 PSI
Step 3: Print message to user about tire pressure



 */
package tiregauge;

import java.util.Scanner;
import javax.swing.JOptionPane;

public class TireGauge {

    public static void main(String[] args) {
        
        int lower = 25, upper = 32;
        String input = JOptionPane.showInputDialog("Please enter your tire pressure");
        int tirePressure = Integer.parseInt(input);
        
        String message;
        
        if (tirePressure < lower) {
            message = "Your tire is underinflated";
        } else if (tirePressure > upper) {
            message = "Your tire is overinflated";
        } else {
            message = "Your tire is properly inflated";
        }
        
        JOptionPane.showMessageDialog(null, message);
    }
    
}
